/***************************************************************************
 * qcanvaslinecm.cpp: implementation of QCanvasLineCm class
 *
 * This file is part of KTabEdit, a KDE tabulature editor
 *
 * copyright (C) 2003-2007 the KTabEdit development team <mrgwen@gmail.com>
 ***************************************************************************/

/***************************************************************************
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * See the file COPYING for more information.
 ***************************************************************************/

#include "qcanvaslinecm.h"
#include "track/cm.h"

QCanvasLineCm::QCanvasLineCm()
: QGraphicsLineItem(0x0)
{
}

QCanvasLineCm::~QCanvasLineCm()
{

}

/*void QCanvasLineCm::setX(const Cm& x)
{
	QGraphicsLineItem::setX(x.valueOfPixel());
}

void QCanvasLineCm::setY(const Cm& y)
{
	QGraphicsLineItem::setY(y.valueOfPixel());
}*/

/*void QCanvasLineCm::move(const Cm& x, const Cm& y)
{
	QGraphicsLineItem::move(x.valueOfPixel(), y.valueOfPixel());
}*/

void QCanvasLineCm::moveBy(const Cm& x, const Cm& y)
{
	QGraphicsLineItem::moveBy(x.valueOfPixel(), y.valueOfPixel());
}

void QCanvasLineCm::setPoints(const Cm& xa, const Cm& ya, const Cm& xb, const Cm& yb)
{
	QGraphicsLineItem::setLine(xa.valueOfPixel(), ya.valueOfPixel(), xb.valueOfPixel(), yb.valueOfPixel());
}
